// Learn TypeScript:
//  - https://docs.cocos.com/creator/manual/en/scripting/typescript.html
// Learn Attribute:
//  - https://docs.cocos.com/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - https://docs.cocos.com/creator/manual/en/scripting/life-cycle-callbacks.html

const { ccclass, property } = cc._decorator;

@ccclass
export default class boatmove extends cc.Component {
    @property
    firstUp: boolean = true;

    // LIFE-CYCLE CALLBACKS:

    onLoad() {
        let mul = 3;
        if (this.firstUp) {
            cc.tween(this.node).repeatForever(
                cc.tween()
                    .by(10, { y: 25 * mul })
                    .by(10, { y: -25 * mul })
                    .by(10, { y: -25 * mul })
                    .by(10, { y: 25 * mul })
            ).start();
        } else {
            cc.tween(this.node).repeatForever(
                cc.tween()
                    .by(10, { y: -25 * mul })
                    .by(10, { y: 25 * mul })
                    .by(10, { y: 25 * mul })
                    .by(10, { y: -25 * mul })
            ).start();
        }
    }

    start() {

    }

    // update (dt) {}
}
